### Class

# RB AsyncCopy

#### Description

    class RB.AsyncCopy : GObject.Object
    {
      RBAsyncCopyPrivate* priv
    }

No description available.

#### Ancestors

- GObject

#### Constructors

###### rb_async_copy_new

Creates and returns a new `RBAsyncCopy` instance.

#### Instance methods

###### rb_async_copy_cancel

Cancels the loading operation, ensuring that the callback will not be called again.

###### rb_async_copy_get_error

If an error has occurred that prevents the copy from proceeding, this function will return a `GError`, otherwise NULL.

###### rb_async_copy_set_progress

No description available.

###### rb_async_copy_start

Starts copying `src` to `dest`, calling `callback` on completion or error.

##### Methods inherited from GObject (43)

Please see GObject for a full list of methods.

#### Signals

##### Signals inherited from GObject (1)

###### GObject::notify

The notify signal is emitted on an object when one of its properties has its value set through g_object_set_property(), g_object_set(), et al.

#### Class structure

    struct RBAsyncCopyClass {
      GObjectClass parent_class;

    }

No description available.

###### Class members

`parent_class: GObjectClass`

  No description available.